%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Name:           gtkwhiteboard
Version:        1.3
Release:        5%{?dist}
Summary:        GTK Wiimote Whiteboard
Group:          Applications/Multimedia
License:        MIT
URL:            http://stepd.ca/gtkwhiteboard/
Source0:        http://stepd.ca/gtkwhiteboard/%{name}-%{version}.zip
Source1:        gtkwhiteboard.sh
Source2:        gtkwhiteboard.desktop
Source3:        whii.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  desktop-file-utils, python-devel >= 2.4
Requires:       pybluez, wxPython, python-xlib
BuildArch:      noarch
                   
%description
Wii whiteboard python implementation.

%prep
%setup -q -c
# fix wrong-file-end-of-line-encoding
sed -i 's/\r//' README
sed -i 's/\r//' mousecontrol.py

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{python_sitelib}/%{name}-%{version}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{_builddir}/%{name}-%{version}/*.py \
   %{buildroot}%{python_sitelib}/%{name}-%{version}
install -m 644 %{_builddir}/%{name}-%{version}/%{name}.ico \
   %{buildroot}%{python_sitelib}/%{name}-%{version}

install -m 755 %{SOURCE1} %{buildroot}%{_bindir}/%{name}
sed -i -e 's|%{name}-%{version}|%{python_sitelib}/%{name}-%{version}|g' \
   %{buildroot}%{_bindir}/%{name}
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/%{name}.png

desktop-file-install --vendor ""                \
  --dir %{buildroot}%{_datadir}/applications    \
  %{SOURCE2}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README 
%{_bindir}/%{name}
%{python_sitelib}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*

%changelog
* Sun Aug 14 2011 Paulo Roma <roma@lcg.ufrj.br> - 1.3-5
- Changed icon.
- Fixed wrong-file-end-of-line-encoding in the README file.

* Mon Nov 16 2010 Paulo Roma <roma@lcg.ufrj.br> - 1.3-4
- Fixed desktop entries.
- Changed permissions of py files to 644.

* Mon Nov 15 2010 Paulo Roma <roma@lcg.ufrj.br> - 1.3-3
- Added BR python-devel.

* Thu Oct 15 2009 Paulo Roma <roma@lcg.ufrj.br> - 1.3-2
- Using desktop-file-install and changed license.

* Thu Oct 15 2009 Paulo Roma <roma@lcg.ufrj.br> - 1.3-1
- Initial spec file.

